package fpcs.core;

import fpcs.symbolic.SymbolicClassifierFactory;

/**
 *
 * @author Ignas Kukenys
 *
 */
public abstract class ClassifierFactory {

    public static final ClassifierFactory defaultFactory = SymbolicClassifierFactory.getInstance();
    
    public abstract Classifier createForStateAndAction(State state, int action, double setSize, int timestamp);

}
