package fpcs.core;

/**
 *
 * @author Ignas Kukenys
 * 
 */

public abstract class Environment {

    protected int currentClass;
    protected State currentState;
    
    public State getCurrentState() {
        return currentState;
    }
    
    public double executeAction(int action) {
        return (action == currentClass)?LearningParams.MAX_PAYOFF:0.0;
    }
    
    public int getCorrectAction() {
        return currentClass;
    }

    public abstract State resetState();
    public abstract int getNumActions();

}
