package fpcs.image;

import fpcs.core.RandomUtils;
import fpcs.core.Environment;
import fpcs.core.State;

/**
 *
 * @author Ignas Kukenys
 *
 */
public class TrivialImageEnvironment extends Environment {

    private int width = 4;
    private int height = 4;

    private double[] stateData = new double[width * height];

    @Override
    public State resetState() {
        
        for(int i = 0; i < stateData.length; i++) {
            if (RandomUtils.random() < 0.5) {
                stateData[i] = 100;
                //stateData = state1;
                //currentClass = 1;
            } else {
                stateData[i] = 0;
                //stateData = state2;
                //currentClass = 0;
            }
        }

        currentClass = 0;

        // horizontal bar?

        
        if (stateData[5] == 100 && stateData[9] == 100) {
            currentClass = 1; // vertical bar 1
        }

        
        if (stateData[6] == 100 && stateData[10] == 100) {
            currentClass = 1; // vertical bar 2
        }
          

        /*
        if (stateData[4] == 100) {
            currentClass = 1;
        }
         */

        
        //if (stateData[0] == 100 && stateData[1] == 100 && stateData[2] == 0 && stateData[3] == 0) {
        //    currentClass = 1; // vertical bar 1
       // }

        /*
        if (stateData[0] == 100 && stateData[1] == 0) {
            currentClass = 1;
        }*/


        /*
        if (stateData[6] == 100 && stateData[10] == 100) {
            currentClass = 1; // vertical bar 1
        }*/

        currentState = new ImageState(width, height, stateData);
        return currentState;
    }

    @Override
    public int getNumActions() {
        return 2;
    }

}
