package fpcs.core;

import java.util.Random;

/**
 *
 * @author Ignas Kukenys
 *
 */

public class RandomUtils {

    private static Random randomizer = new Random();

    public static void setSeed(long seed) {
        randomizer = new Random(seed);
    }

    public static double random() {
        return randomizer.nextDouble();
    }

    public static Random getRandomizer() {
        return randomizer;
    }

    public static double between(double a, double b) {
        double aa = Math.min(a, b);
        double bb = Math.max(a, b);
        return randomizer.nextDouble() * (bb-aa) + aa;
    }

}
